
Partial Class Example15_2
    Inherits System.Web.UI.MobileControls.MobilePage

    Private Sub Page_LoadComplete(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.LoadComplete
        If PolicyTextBox.Text <> "" Then
            Dim facade As ModelFacade = New ModelFacade()
            Try
                Dim policyNum As Integer = Int32.Parse(PolicyTextBox.Text)
                Dim policy As Policy = facade.getPolicy(policyNum)
                If policy Is Nothing Then
                    Result.Text = "No matching policy"
                Else
                    Result.Text = "Policy type: " + policy.Type + ", Premium: " + policy.AnnualPremium.ToString()
                End If
            Catch ex As Exception
                Result.Text = "Not a valid policy number"
            End Try
        End If
    End Sub
End Class
