﻿Public Partial Class StandardWebForm
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If PolicyTextBox.Text <> "" Then
            Dim facade As ModelFacade = New ModelFacade()
            Try
                Dim policyNum As Integer = Int32.Parse(PolicyTextBox.Text)
                Dim policy As Policy = facade.getPolicy(policyNum)
                If policy Is Nothing Then
                    Result.Text = "No matching policy"
                Else
                    Result.Text = "Policy type: " + policy.Type + ", Premium: " + policy.AnnualPremium.ToString()
                End If
            Catch ex As Exception
                Console.Write(ex)
                Result.Text = ex.ToString()
            End Try
        End If
    End Sub
End Class